Subject: RE: bug#8789: 23.3; debug backtrace buffer changes window on step-through

From: "Drew Adams" <[email-masked]>
Date: Thu, 2 Jun 2011 11:00:43 -0700

> A couple of my frame window layouts cause the emacs debugger's  
> backtrace buffer to cycle between several windows when stepping  
> through code, making it very difficult to focus.
> 
> Please follow the minimal steps below to re-produce this undesirable  
> behaviour, also confirmed as present by another user (#emacs  
> 'off-by-1') in a 'relatively recent git version'..
> 
> emacs -q
> C-x 3
> C-x 2
> M-x debug-on-entry RET
> apropos RET
> M-x apropos RET
> x RET
> d RET
> d RET
> 
> ..you should see the buffer alternate windows on each step 
> through the code.

FWIW, I reported this problem long, long ago. I don't recall the bug # (it might
have been before we had bug #s), and I can't seem to locate the bug report now.
This problem is at least as old as Emacs 20.  It can be very distracting.

BTW, I notice this happening especially when debugging a command invoked (via a
key) from the minibuffer.  But your recipe is a good one at top level.